> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save integration

> Save (or update an existing) integration



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/integrations/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/integrations/{id}:
    post:
      tags:
        - Integration Management
      summary: Save integration
      description: Save (or update an existing) integration
      operationId: postIntegration
      parameters:
        - name: id
          in: path
          description: The id of the integration
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseIntegrationGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    IntegrationPostDto:
      type: object
      properties:
        status:
          type: string
          description: Status of the integration
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        apiName:
          type: string
          description: Name of the OAuth Provider
          nullable: false
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        apiAccessToken:
          type: string
          description: Access token of the integration
          nullable: false
        customData:
          $ref: '#/components/schemas/JsonNode'
    SuccessResponseIntegrationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/IntegrationGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    IntegrationGetDto:
      required:
        - additionalConsentRequired
        - apiAccessToken
        - apiName
        - iconUrl
        - id
        - status
      type: object
      properties:
        id:
          type: string
          description: Integration ID
          example: int_12345
        status:
          type: string
          description: Integration status
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        apiName:
          type: string
          description: API provider name
          example: PLAID
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        iconUrl:
          type: string
          description: Icon URL for the integration
          nullable: true
          example: https://cdn.sandbox.tight.com/icons/banks/56.png
        apiUsername:
          type: string
          description: API username
          nullable: true
        lastSyncedDate:
          type: string
          description: Last synced date
          format: date
          nullable: true
        apiAccessToken:
          type: string
          description: API access token
        apiInstitutionId:
          type: string
          description: API institution ID (Plaid only)
          nullable: true
        apiInstitutionName:
          type: string
          description: API institution name (Plaid only)
          nullable: true
        apiErrorType:
          type: string
          description: API error type (Plaid only)
          nullable: true
        apiErrorCode:
          type: string
          description: API error code (Plaid only)
          nullable: true
        additionalConsentRequired:
          type: boolean
          description: >-
            Whether additional consent is required to continue syncing (Plaid
            only)
          example: false
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````